- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs
gstrings.h File Reference
`#include "gdef.h"`
`#include <string>`
`#include <list>`
`#include <vector>`
`#include <map>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes
class | G::StringMapReader
| An adaptor for reading a const StringMap with at(). More...

## Namespaces
| G
| Low-level classes.

## Typedefs
typedef std::list< std::string > | G::Strings
| A std::list of std::strings. More...
typedef std::vector< std::string > | G::StringArray
| A std::vector of std::strings. More...
typedef std::map< std::string, std::string > | G::StringMap
| A std::map of std::strings. More...